<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a href="/dashboard"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a href="/broadcast">Pesan Broadcast</a> 
                </li>  
                <li class="breadcrumb-item">
                    <a href="#" class="not-active">List</a> 
                </li>  
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>List Pesan Broadcast</h5>
            </div>
            <div class="card-block">
                <div class="row" style="margin-bottom: 20px;">
                    <div class="col-sm-3">
                        <button *ngIf="is_add === true" [routerLink]="['/broadcast/add']" class="btn btn-primary btn-block waves-effect text-center"><i class="icofont icofont-plus"></i> Buat Pesan </button>
                    </div>
                </div>
                
                <div class="row" style="margin-bottom: 10px;">
                    <div class="col-sm-6"></div>
                    <div class="col-sm-3"></div>
                    <div class="col-sm-3"> 
                        <input type='text' class="form-control input-sm col-sm-12" placeholder='Pencarian Pesan Broadcast' (keyup)='updateFilter($event)'/>
                    </div> 
                </div>
            
                <ngx-datatable
                    #table
                    class='data-table'
                    [columns]="columns"
                    [columnMode]="'flex'"
                    [headerHeight]="50"
                    [footerHeight]="50"
                    [rowHeight]="50"
                    [scrollbarH]="true"
                    [limit]='limit'
                    [rows]='rowsFilter'
                    [messages]="messages"
                    [sorts]="[{prop: 'no', dir: 'asc'}]" >
                    <!-- <ngx-datatable-column
                        name="" 
                        [width]="50"
                        [resizeable]="false"
                        [sortable]="false"
                        [draggable]="false"
                        [canAutoResize]="false">
                        <ng-template let-row="row" ngx-datatable-cell-template>
                            <div class="checkbox-fade fade-in-black">
                                <label>
                                <input type="checkbox" value="CSS" >
                                <span class="cr"><i class="cr-icon icofont icofont-ui-check txt-primary"></i></span>
                                </label>
                            </div> 
                        </ng-template>
                    </ngx-datatable-column> -->
                    <ngx-datatable-column 
                        name="No" 
                        [sortable]="false"
                        [flexGrow]="0.5">
                        <ng-template let-rowIndex="rowIndex" let-row="row" ngx-datatable-cell-template>
                            <strong> {{rowsFilter.indexOf(row)+1}}</strong>
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column 
                        name="Judul Pesan" 
                        [sortable]="true"
                        prop="judul"
                        [flexGrow]="3">
                    </ngx-datatable-column>
                    <ngx-datatable-column 
                        name="Pesan Dibuat" 
                        [sortable]="true"
                        prop="tanggal_buat"
                        [flexGrow]="1.5">
                        <ng-template let-row="row" ngx-datatable-cell-template>
                            {{convert.formatDateIndoTglJam(row['tanggal_buat'])}}
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column 
                        name="Pesan Dikirim" 
                        [sortable]="true"
                        prop="tanggal_kirim"
                        [flexGrow]="1.5">
                        <ng-template let-row="row" ngx-datatable-cell-template>
                            {{convert.formatDateIndoTglJam(row['tanggal_kirim'])}}
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column 
                        name="Status" 
                        [sortable]="true"
                        prop="is_draft"
                        [flexGrow]="1">
                        <ng-template let-row="row" ngx-datatable-cell-template> 
                            <span *ngIf="row.is_draft === true" class="label-md bg-info">&nbsp;&nbsp;Draft&nbsp;&nbsp;</span>
                            <span *ngIf="row.is_draft === false" class="label-md bg-success">&nbsp;&nbsp;Terkirim&nbsp;&nbsp;</span>
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column 
                        [flexGrow]="2"
                        [sortable]="false">
                        <ng-template ngx-datatable-header-template>
                            <div class="col-sm-12" style="margin: auto; text-align: -webkit-center; text-align: center; margin-top: 10px;">
                                <span>Aksi</span>
                            </div>
                        </ng-template>
                        <ng-template let-row="row" ngx-datatable-cell-template >
                            <div class="col-sm-12" style="margin: auto; text-align: -webkit-center; text-align: center;"> 
                                <button type="button" *ngIf="is_detail === true" (click)="showDetail(row)" class="btn btn-info btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Detail"><i class="icofont icofont-search" style="margin-right: 0px;"></i></button> 
                                
                                <button type="button" *ngIf="is_add === true" [disabled]="row.is_draft == false" (click)="showSend($event, row)" class="btn btn-success btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Kirim"><i class="icofont icofont-location-arrow" style="margin-right: 0px;"></i></button> 
                                
                                <button type="button" *ngIf="is_edit === true" [disabled]="row.is_draft == false" (click)="showEdit(row)" class="btn btn-warning btn-mini waves-effect waves-light" container="body" placement="top" ngbTooltip="Edit"><i class="icofont icofont-pencil-alt-2" style="margin-right: 0px;" ></i></button> 
                                
                                <button type="button" *ngIf="is_delete === true" [disabled]="row.is_draft == false" (click)="showDelete($event, row)" class="btn btn-danger btn-mini waves-effect waves-light" ngbTooltip="Delete" container="body" placement="top" ngbTooltip="Hapus"><i class="icofont icofont-trash" style="margin-right: 0px;" ></i></button>
                            </div>
                        </ng-template> 
                    </ngx-datatable-column> 
                    <ngx-datatable-footer>
                        <ng-template 
                            ngx-datatable-footer-template
                            let-rowCount="rowCount"
                            let-pageSize="pageSize"
                            let-selectedCount="selectedCount"
                            let-curPage="curPage"
                            let-offset="offset"
                            let-isVisible="isVisible">

                            <span>Tampilkan </span>&nbsp;&nbsp;
                            <select (change)="onLimitChange($event.target.value)" >
                                <option
                                    *ngFor="let option of pageLimitOptions"
                                    [value]="option.value"
                                    [selected]="option.value == currentPageLimit">
                                    {{ option.value }}
                                </option>
                            </select>
                            <span style="width: 100px; min-width: 100px;">&nbsp;&nbsp; baris, dari </span>
                            <span>{{rowCount.toLocaleString()}} {{totalMessage}}</span>
                            

                            <datatable-pager
                                [pagerLeftArrowIcon]="'datatable-icon-left'"
                                [pagerRightArrowIcon]="'datatable-icon-right'"
                                [pagerPreviousIcon]="'datatable-icon-prev'"
                                [pagerNextIcon]="'datatable-icon-skip'"
                                [page]="curPage"
                                [size]="pageSize"
                                [count]="rowCount"
                                [hidden]="!((rowCount / pageSize) > 1)"
                                (change)="table.onFooterPage($event)">
                            </datatable-pager>
                        </ng-template>
                    </ngx-datatable-footer>
                </ngx-datatable>
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>

<app-modal-basic #modalMulti2>
    <div class="app-modal-header">
        <h4 class="modal-title">Modal 2</h4>
        <button type="button" class="close basic-close" (click)="modalMulti2.hide()">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="app-modal-body">
        Content for the dialog / modal goes here.
        <p class="p-t-40 p-b-40">more content</p>
        <button data-toggle="modal" (click)="modalMulti3.show()" class="btn btn-primary">Launch modal</button>
    </div>
    <div class="app-modal-footer">
        <button type="button" class="btn btn-default waves-effect" (click)="modalMulti2.hide()">Close</button>
        <button type="button" class="btn btn-primary waves-effect waves-light ">Save changes</button>
    </div>
</app-modal-basic>
